Update Details of a Notification
Purpose
To update the details of the notifications enabled by a user. All the provided details would be persisted and rest of the details would be removed..
Request URL
https://www.zohoapis.com/crm/v2/actions/watch
Request Method
PUT
Scope
scope=ZohoCRM.notifications.{operation_type}
| Possible operation types |
|---|
| ALL - Full access to notification data WRITE - Edit notification details UPDATE - Update notification details |
Input JSON Keys
| Key | Value | Purpose |
|---|---|---|
| token | String(Maximum length is 50 characters) | To ensure that the notification is sent from Zoho CRM, by sending back the given value in notification URL body. By using this value, user can validate the notifications. |
| notify_url (mandatory) | String | URL to be notified (POST request). Whenever any action gets triggered, the notification will be sent through this notify url. |
| channel_id | String(long) | The given value is sent back in notification URL body to make sure that the notification is for a particular channel. |
| channel_expiry | String (ISO Date time) | To set the expiry time for instant notifications. Maximum of only one day from the time they were enabled. If it is not specified or set for more than a day, the default expiry time is for one hour. |
| events | JSONArray ["{module_api_name}.{operation}", "{module_api_name}.{operation}"] Ex: ["Leads.create","Sales_Orders.edit","Contacts.delete"] Possible operation types - create, delete, edit, all | To enable notification based on particular operations on selected modules. |
Sample Request
In the request, "@inputData.json" contains the sample input data.
curl "https://www.zohoapis.com/crm/v2/actions/watch"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X PUT
-d "@inputData.json" Sample Input
{
"watch": [
{
"channel_id": "1000000068001",
"events": [
"Solutions.edit",
"Price_Books.edit",
"Contacts.delete",
"Solutions.create"
],
"channel_expiry": "2018-02-02T11:30:00+05:30",
"token": "ALTERED_TOKEN_FOR_VERIFICATION_OF_1000000068001",
"notify_url": "https://www.zoho.com/callback?authorization=Zoho-oauthtoken 1000.23dnsbbbh455jnn&key1=val1&key=val2"
},
{
"channel_id": "1000000068002",
"events": [
"Deals.create"
],
"channel_expiry": "2018-02-02T11:30:00+05:30",
"token": "ALTERED_TOKEN_FOR_VERIFICATION_OF_1000000068002",
"notify_url": """https://www.zoho.com/callback?authorization=Zoho-oauthtoken 1000.23dnsbbbh455jnn&key1=val1&key2=val&key3=val1"
}
]
} Sample Response
{
"watch": [
{
"code": "SUCCESS",
"details": {
"events": [
{
"channel_expiry": "2018-02-02T11:30:00+05:30",
"resource_uri": "https://www.zohoapis.com/crm/v2/Solutions",
"resource_id": "1000000000091",
"resource_name": "Solutions",
"channel_id": "1000000068001"
},
{
"channel_expiry": "2018-02-02T11:30:00+05:30",
"resource_uri": "https://www.zohoapis.com/crm/v2/Contacts",
"resource_id": "1000000000045",
"resource_name": "Contacts",
"channel_id": "1000000068001"
},
{
"channel_expiry": "2018-02-02T11:30:00+05:30",
"resource_uri": "https://www.zohoapis.com/crm/v2/Price_Books",
"resource_id": "1000000000097",
"resource_name": "Price_Books",
"channel_id": "1000000068001"
}
]
},
"message": "Successfully subscribed for actions-watch of the given module",
"status": "success"
},
{
"code": "SUCCESS",
"details": {
"events": [
{
"channel_expiry": "2018-02-02T11:30:00+05:30",
"resource_uri": "https://www.zohoapis.com/crm/v2/Deals",
"resource_id": "1000000000047",
"resource_name": "Deals",
"channel_id": "1000000068002"
}
]
},
"message": "Successfully subscribed for actions-watch of the given module",
"status": "success"
}
]
}